Package org.drinkless.tdlib

# Class TdApi.DiceStickersSlotMachine

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.DiceStickers
org.drinkless.tdlib.TdApi.DiceStickersSlotMachine

Enclosing class:
  `TdApi`

public static class TdApi.DiceStickersSlotMachine extends TdApi.DiceStickers
Animated stickers to be combined into a slot machine.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.DiceStickers

  `TdApi.DiceStickers.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Sticker`
  `background`
  The animated sticker with the slot machine background.
  `TdApi.Sticker`
  `centerReel`
  The animated sticker with the center reel.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Sticker`
  `leftReel`
  The animated sticker with the left reel.
  `TdApi.Sticker`
  `lever`
  The animated sticker with the lever animation.
  `TdApi.Sticker`
  `rightReel`
  The animated sticker with the right reel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiceStickersSlotMachine()`
  Animated stickers to be combined into a slot machine.
  `DiceStickersSlotMachine(TdApi.Sticker background, TdApi.Sticker lever, TdApi.Sticker leftReel, TdApi.Sticker centerReel, TdApi.Sticker rightReel)`
  Animated stickers to be combined into a slot machine.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### background

    public TdApi.Sticker background
    The animated sticker with the slot machine background. The background animation must start playing after all reel animations finish.

  - ### lever

    public TdApi.Sticker lever
    The animated sticker with the lever animation. The lever animation must play once in the initial dice state.

  - ### leftReel

    public TdApi.Sticker leftReel
    The animated sticker with the left reel.

  - ### centerReel

    public TdApi.Sticker centerReel
    The animated sticker with the center reel.

  - ### rightReel

    public TdApi.Sticker rightReel
    The animated sticker with the right reel.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DiceStickersSlotMachine

    public DiceStickersSlotMachine()
    Animated stickers to be combined into a slot machine.

  - ### DiceStickersSlotMachine

    public DiceStickersSlotMachine(TdApi.Sticker background, TdApi.Sticker lever, TdApi.Sticker leftReel, TdApi.Sticker centerReel, TdApi.Sticker rightReel)
    Animated stickers to be combined into a slot machine.
    Parameters:
      `background` - The animated sticker with the slot machine background. The background animation must start playing after all reel animations finish.
      `lever` - The animated sticker with the lever animation. The lever animation must play once in the initial dice state.
      `leftReel` - The animated sticker with the left reel.
      `centerReel` - The animated sticker with the center reel.
      `rightReel` - The animated sticker with the right reel.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.DiceStickers`
    Returns:
      this.CONSTRUCTOR